Bug 849208 - usermount silently fails when started with wrong parameters.
usermount silently fails when started with wrong parameters.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: usermode (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 13:25 EDT by Mehmet Köse
Modified: 2012-09-17 19:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: usermode-1.110-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 19:53:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mehmet Köse 2012-08-17 13:25:43 EDT
Description of problem:

usermount command tells user nothing if runned with totally wrong parameters. 
Because */sbin directories are not in users PATH, when I type

sudo userm<tab>

bash completes this to 'sudo usermount'. So, I, as a preoccupied man, can't realize that I actually typed 'usermount' instead of 'usermod'

Version-Release number of selected component (if applicable):

1.109

How reproducible:

always

Steps to Reproduce:

run this for example:

sudo usermount -a -G vboxusers <myuser>
Comment 1 Miloslav Trmač 2012-08-20 16:42:09 EDT
Thanks for your report.
Comment 2 Miloslav Trmač 2012-08-20 20:24:25 EDT
Fixed in F18 and rawhide usermode-1.110-1.fc18.
Comment 3 Fedora Update System 2012-08-20 20:27:22 EDT
usermode-1.110-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/usermode-1.110-1.fc18
Comment 4 Fedora Update System 2012-08-21 00:53:13 EDT
Package usermode-1.110-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing usermode-1.110-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12336/usermode-1.110-1.fc18
then log in and leave karma (feedback).
Comment 5 Mehmet Köse 2012-08-21 08:10:38 EDT
Could you please send me what you are smoking.
Comment 6 Miloslav Trmač 2012-08-21 09:49:07 EDT
(In reply to comment #5)
> Could you please send me what you are smoking.

I'm afraid I can't tell what you are surprised about from the above comment.  Could you elaborate?
Comment 7 Mehmet Köse 2012-08-21 09:57:31 EDT
Problem is in usermOUNT.
Comment 8 Miloslav Trmač 2012-08-21 10:02:01 EDT
(In reply to comment #7)
> Problem is in usermOUNT.

Yes, and /usr/bin/usermount is included in the usermODE package, so the fix is included in an updated usermODE package.
Comment 9 Fedora Update System 2012-09-17 19:53:16 EDT
usermode-1.110-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.